> For the complete documentation index, see [llms.txt](https://docs.kiln.fi/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiln.fi/v1/kiln-products/dashboard/unstaking/ethereum-eth.md).

# Ethereum (ETH)

## Unstake from Kiln Dashboard

You can unstake your validators in a couple of clicks from the Kiln dashboard:

{% embed url="<https://www.youtube.com/watch?v=3V3rEd9TKbI>" %}
Unstake ETH from Kiln Dashboard
{% endembed %}

You can request multiple validators to exit by:

1. Selecting them on the dashboard and using the **batch request exit** button (ideal for specific stakes; otherwise, use option 2).
2. Using the **batch request exit** on the dashboard and adjusting the slider to auto-select stakes (for exiting many stakes simultaneously).
3. Inputting a list of validators in the `requestExit` function with the `bytes[] validators` parameter.

On the dashboard you can see when a stake is pending to exit along with the estimated time it will take (look for the status **Exit requested**).

The addresses of our Ethereum Exit Contracts are as follows:

{% hint style="info" %}
Make sure these contracts are whitelisted in your custody solution.
{% endhint %}

<table><thead><tr><th width="102.65625">Network</th><th>Address</th></tr></thead><tbody><tr><td>Mainnet</td><td><a href="https://etherscan.io/address/0x004c226fff73aa94b78a4df1a0e861797ba16819"><code>0x004c226fff73aa94b78a4df1a0e861797ba16819</code></a> <code>(</code>Batch Exit - Kiln > Single Exit)<br><a href="https://etherscan.io/address/0x00000961Ef480Eb55e80D19ad83579A64c007002"><code>0x00000961Ef480Eb55e80D19ad83579A64c007002</code></a> (Single Exit - <a href="https://github.com/ethereum/EIPs/blob/master/EIPS/eip-7002.md">Official</a>)</td></tr><tr><td>Hoodi</td><td><a href="https://hoodi.etherscan.io/address/0x06f9c32a3093dde837a2e172041df79b4b850a2e"><code>0x06f9C32A3093DDE837a2E172041DF79B4b850A2e</code></a> (Batch Exit- Kiln > Single Exit)<br><a href="https://etherscan.io/address/0x00000961Ef480Eb55e80D19ad83579A64c007002"><code>0x00000961Ef480Eb55e80D19ad83579A64c007002</code></a> (Single Exit - Official)</td></tr></tbody></table>

For more details on what happens behind the scenes when you unstake, check out [this blog post](https://www.kiln.fi/post/ethereum-withdrawals-exit-request-flows).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kiln.fi/v1/kiln-products/dashboard/unstaking/ethereum-eth.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
